export class FontRendererFactory {
    static create(font: any, seacAnalysisEnabled: any): TrueTypeCompiled | Type2Compiled;
}
declare class TrueTypeCompiled extends CompiledFont {
    constructor(glyphs: any, cmap: any, fontMatrix: any);
    glyphs: any;
    cmap: any;
    compileGlyphImpl(code: any, cmds: any): void;
}
declare class Type2Compiled extends CompiledFont {
    constructor(cffInfo: any, cmap: any, fontMatrix: any);
    glyphs: any;
    gsubrs: any;
    subrs: any;
    cmap: any;
    glyphNameMap: any;
    gsubrsBias: number;
    subrsBias: number;
    isCFFCIDFont: any;
    fdSelect: any;
    fdArray: any;
    compileGlyphImpl(code: any, cmds: any, glyphId: any): void;
}
declare class CompiledFont {
    constructor(fontMatrix: any);
    fontMatrix: any;
    compiledGlyphs: any;
    compiledCharCodeToGlyphId: any;
    getPathJs(unicode: any): any;
    compileGlyph(code: any, glyphId: any): string;
    compileGlyphImpl(): void;
    hasBuiltPath(unicode: any): boolean;
}
export {};
